import { jsx } from "react/jsx-runtime";
import { TokenBRIDGE as TokenBRIDGE$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenBRIDGE = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "BRIDGE", "data-name": "TokenBRIDGE", ...props, children: /* @__PURE__ */ jsx(TokenBRIDGE$1, { variant }) });
  }
);
TokenBRIDGE.displayName = "TokenBRIDGE";
Object.assign(TokenBRIDGE, { isGdsIcon: true });
export {
  TokenBRIDGE
};
